osl::eval::ml::MultiWeights Class Reference

`#include <weights.h>`

## Public Member Functions

| MultiWeights (size_t one_dim=0)
virtual | ~MultiWeights ()
void | resetDimension (size_t one_dim)
const MultiInt & | value (size_t index) const
void | setRandom ()
size_t | oneDimension () const
void | setValue (size_t index, MultiInt value)

## Protected Attributes

std::vector< MultiInt > | values
size_t | one_dim

## Detailed Description

Definition at line 39 of file weights.h.

## Constructor & Destructor Documentation

## MultiWeights()

osl::eval::ml::MultiWeights::MultiWeights | ( | size_t | one_dim = 0 | ) |

explicit

Definition at line 35 of file weights.cc.

References one_dim, and values.

## ~MultiWeights()

osl::eval::ml::MultiWeights::~MultiWeights | ( |  | ) |

virtual

Definition at line 40 of file weights.cc.

## Member Function Documentation

## oneDimension()

size_t osl::eval::ml::MultiWeights::oneDimension | ( |  | ) | const

inline

Definition at line 51 of file weights.h.

References one_dim.

## resetDimension()

void osl::eval::ml::MultiWeights::resetDimension | ( | size_t | one_dim | ) |

Definition at line 45 of file weights.cc.

References one_dim, and values.

## setRandom()

void osl::eval::ml::MultiWeights::setRandom | ( |  | ) |

Definition at line 53 of file weights.cc.

References one_dim, osl::random(), osl::container::QuadInt::size(), and values.

## setValue()

void osl::eval::ml::MultiWeights::setValue | ( | size_t | index,
|  | MultiInt | value )

inline

Definition at line 52 of file weights.h.

References one_dim, value(), and values.

## value()

const MultiInt & osl::eval::ml::MultiWeights::value | ( | size_t | index | ) | const

inline

Definition at line 49 of file weights.h.

References one_dim, and values.

Referenced by setValue().

## Member Data Documentation

## one_dim

size_t osl::eval::ml::MultiWeights::one_dim

protected

Definition at line 43 of file weights.h.

Referenced by MultiWeights(), oneDimension(), resetDimension(), setRandom(), setValue(), and value().

## values

std::vector<MultiInt> osl::eval::ml::MultiWeights::values

protected

Definition at line 42 of file weights.h.

Referenced by MultiWeights(), resetDimension(), setRandom(), setValue(), and value().

The documentation for this class was generated from the following files:

- weights.h
- weights.cc